SDL_GetDisplayBounds(3)

NAME
SDL_GetDisplayBounds - Get the desktop area represented by a display.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_GetDisplayBounds(SDL_DisplayID displayID, SDL_Rect *rect);

DESCRIPTION
The primary display is often located at (0,0), but may be placed at a different location depending on monitor layout.

FUNCTION PARAMETERS

displayID
    the instance ID of the display to query.

rect
    the SDL_Rect structure filled in with the display bounds.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetDisplayUsableBounds(3), SDL_GetDisplays(3)